var constants = require('./constants');

findCmdfromMethod = function (method)
{
    var cmd = "";
    switch (method) {
        case constants.METHOD.GET:
            cmd = 'QUERY';
            break;
        case constants.METHOD.POST:
            cmd = "INSERT"
            break;
        case constants.METHOD.PUT:
            cmd = 'UPDATE';
            break;
        case constants.METHOD.DELETE:
            cmd = 'DELETE';
            break;        
    }
    return cmd;
}

undefinedToNull = function(data){
    if(!data){
        data = 'null';
    } else if(data.includes('undefined')){
        data = data.replace(/undefined/g,'null');
    } else {
        data = data;
    }

    return data;
}
 

module.exports = {
    findCmdfromMethod,
    undefinedToNull
};